/*  ___  ___  ___ ___
** / __|/ _ \/ __/ __| secs
** \__ \  __/ (__\__ \ Copyright 1999 Daniel Reed <n@ml.org>
** |___/\___|\___|___/ Simple Embedded Client Scripting
*/
#ifndef secs_h
#define secs_h  1

#include <assert.h>
#include <ctype.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>

#define SECS_ERROR	(-1)
#define SECS_CONTINUE	0
#define SECS_HANDLED	1

typedef struct secs_var_s {
	char	*name,
		*val;
	size_t	length;
	struct secs_var_s	*next;
	int	(*set)(struct secs_var_s *, char *);
} secs_var_t;

typedef struct secs_block_s {
	char	*name,
		*script;
	secs_var_t	*variables;
	struct secs_block_s	*parent;
} secs_block_t;

#include "protos.h"
int	debug_printf(const char *, ...);

#endif
