/*  _ __   __ _ ___ __  __
** | '_ \ / _` |_ _|  \/  | naim
** | | | | (_| || || |\/| | Copyright 1998, 1999 Daniel Reed <n@ml.org>
** |_| |_|\__,_|___|_|  |_| ncurses-based, FAIM-based AIM client
** 
** FAIM Copyright 1998 Adam Fritzler <afritz@iname.com>
** FAIM uses code Copyright 1998 Brock Wilcox <awwaiid@iname.com>
*/
#include <naim.h>

extern WINDOW	*win_status;
extern int	iamaway;

time_t  idletime = 0;

void    updateidletime(void) {
        time_t  t = time(NULL);

        assert(t != 0);
        idletime = t;
}

void	event_handle(time_t now) {
	static int	tprint, autoaway;

	debug_printf("event_handle(%lu)\n", now);

	tprint = secs_getvar_int("tprint");
	autoaway = secs_getvar_int("autoaway");
	if ((autoaway > 0) && ((now - idletime) >= 60*autoaway)
		&& (iamaway == 0)) {
		printf("You have been idle for more than %i minutes.\n",
			autoaway);
		setaway();
	}
	if (tprint != 0) {
		struct tm	*tmptr;

		tmptr = localtime(&now);
		assert(tmptr != NULL);
		if ((tmptr->tm_min)%tprint == 0) {
			hwprintf(win_status, IMWIN_TEXT_U,
				"<I>-----</I> [<B>%02i</B>:<B>%02i</B>] "
				"<I>-----</I><br>", tmptr->tm_hour,
				tmptr->tm_min);
		}
	}
}
