/*  _ __   __ _ ___ __  __
** | '_ \ / _` |_ _|  \/  | naim
** | | | | (_| || || |\/| | Copyright 1998, 1999 Daniel Reed <n@ml.org>
** |_| |_|\__,_|___|_|  |_| ncurses-based, FAIM-based AIM client
** 
** FAIM Copyright 1998 Adam Fritzler <afritz@iname.com>
** FAIM uses code Copyright 1998 Brock Wilcox <awwaiid@iname.com>
*/
#include <naim.h>

extern buddywin_t	*curbwin;
extern faimconf_t	faimconf;

void	set_setvar(char *line) {
	char	*var, *val;

	if (line == NULL) {
		size_t	length = 0;

		secs_listvars(0, NULL);
		hwprintf(curbwin->win, HELP_HELP, "  %15.15s  %s<br>",
			"Variable name", "Value");
		while ((var = secs_listvars(1, &length)) != NULL)
			hwprintf(curbwin->win, HELP_TEXT,
				"  %15.15s  %s<br>", var, secs_getvar(var));
		return;
	}
	var = atom(line);
	if (((val = firstwhite(line)) != NULL)
		&& (secs_setvar(var, val) == 0))
		hwprintf(curbwin->win, HELP_HELP,
			"%s is an invalid input for %s<br>", val, var);
	else
		hwprintf(curbwin->win, HELP_HELP, "%s is now %s<br>", var,
			secs_getvar(var));
}
